package sgc.portal.cw.cw1503.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1503.model.CW15030001U;
import sgc.portal.cw.cw1503.dto.CW15030001USearch;

import java.util.List;

@Mapper
public interface CW15030001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW15030001USearch search);
    
    String selectEmpInfo(CW15030001U cW15030001U);

    int insert(CW15030001U cW15030001U);

    int update(CW15030001U cW15030001U);

    int delete(CW15030001U cW15030001U);
    
    int deleteAtchfileId(CW15030001U cW15030001U);
    int selectAtchfileIdCount(CW15030001U cW15030001U);
}
